Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create issue approval

POST/workspaces/{organizationId}/issues/{issueId}/approvals
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
issueIdstringrequired
Request body
application/json
approverIdstringrequired
commentstring
Responses
201

Approval requested

idstringrequired
organizationIdstringrequired
issueIdstringrequired
requestedByIdstringrequired
approverIdstringrequired
statusstringrequired
Allowed:pendingapprovedrejected
commentstring | nullrequired
createdAtstringrequired
resolvedAtstring | nullrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/issues/string/approvals' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "approverId": "string",
  "comment": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "issueId": "string",
  "requestedById": "string",
  "approverId": "string",
  "status": "pending",
  "comment": "string",
  "createdAt": "string",
  "resolvedAt": "string"
}

Was this page helpful?